package com.zanxiang.game.data.serve.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏监控告警实体类
 * @date 2023/12/14 13:57
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameMonitorAlarmVO {

    /**
     * 告警时间
     */
    private LocalDate dt;

    /**
     * 游戏策略配置表ID
     */
    private Long id;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 区服ID
     */
    private Long serverId;

    /**
     * 区服名
     */
    private String serverName;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏名
      */
    private String gameName;

    /**
     * 角色ID
     */
    private Long roleId;

    /**
     * 角色名
     */
    private String roleName;

    /**
     * 投手ID(多个拼成一个字符串)
     */
    private String pitcherId;

    /**
     * 告警内容
     */
    private String message;

    /**
     * 策略内容
     */
    private String configExplain;

    /**
     * 报警状态,0表示未报警，1标识已报警
     */
    private Integer warnStatus;
    
}
