package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 角色操作表
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_role_operate")
public class RoleOperate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 是否发送邮件
     */
    private Integer isSendMail;

    /**
     * 最新发送礼物id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long sendGiftId;

    /**
     * 是否转端
     */
    private Integer isChangeGameType;

    /**
     * 是否添加企微
     */
    private Integer isAddCorpWechat;

    /**
     * 企微号
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String addCorpUserId;

    /**
     * 客户微信
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String userWechat;

    /**
     * 客户手机
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String userPhone;

    /**
     * 是否退游
     */
    private Integer isRemoveGame;

    /**
     * 是否唤醒
     */
    private Integer isWakeUp;

    /**
     * 备注
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String remark;

    /**
     * GS
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long gsId;

    /**
     * 客服
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long customerServiceId;

    /**
     * 运营
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long operUserId;

    /**
     * 投手
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long putUserId;

    /**
     * GS账号(记录GS人员id)
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long gsAccount;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 1 删除  0正常
     */
    private Integer isDelete;


}
